Skip to main content
POST
/
v1
/
transactional-emails
/
{transactionalId}
Update a transactional email
curl --request POST \
  --url https://app.loops.so/api/v1/transactional-emails/{transactionalId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>"
}
'
{
  "id": "cmnx1d95z001llilji4vapgqs",
  "name": "Welcome email v2",
  "draftEmailMessageId": "cmn5zia4i0017tzli8ric8giv",
  "publishedEmailMessageId": "cmn5bia4i0217tzli8ric8giv",
  "createdAt": "2026-03-28T15:00:00.000Z",
  "updatedAt": "2026-03-28T15:15:00.000Z",
  "dataVariables": [
    "firstName",
    "lastName"
  ]
}
Content API endpoints are currently in an open alpha and are subject to change.

Request

Path parameters

transactionalId
string
required
The ID of the transactional email.

Body

name
string
required
The updated transactional email’s name.

Response

Success

id
string
required
The transactional email ID.
name
string
required
The transactional email name.
draftEmailMessageId
nullable string
required
The ID of the draft email message, if one exists.
publishedEmailMessageId
nullable string
required
The ID of the published email message, if one exists.
createdAt
string
required
ISO 8601 timestamp for when the transactional email was created.
updatedAt
string
required
ISO 8601 timestamp for when the transactional email was last updated.
dataVariables
array
required
Data variable names used by the published email. Empty for unpublished transactionals.

Error

If the request body is invalid, or if transactionalId is invalid, a 400 Bad Request is returned. A 404 Not Found is returned if the transactional email does not exist. If the API key is invalid (or content API is not enabled for your team), a 401 Unauthorized is returned.
message
string
required
An error message describing what went wrong.
{
  "id": "cmnx1d95z001llilji4vapgqs",
  "name": "Welcome email v2",
  "draftEmailMessageId": "cmn5zia4i0017tzli8ric8giv",
  "publishedEmailMessageId": "cmn5bia4i0217tzli8ric8giv",
  "createdAt": "2026-03-28T15:00:00.000Z",
  "updatedAt": "2026-03-28T15:15:00.000Z",
  "dataVariables": [
    "firstName",
    "lastName"
  ]
}
Last modified on June 8, 2026